from django.urls import path
from . import views

urlpatterns = [
    path('ping', views.PingPongView.as_view(), name='pingpong'),
    path('borked', views.BorkedView.as_view(), name='borked'),
    path('favicon.ico', views.PingPongView.as_view(), name='favicon_ico'),
    path('', views.HomeView.as_view(), name='home'),
    path('terms', views.TermsView.as_view(), name='terms'),
    path('privacy', views.PrivacyView.as_view(), name='privacy'),
    path('python_licenses', views.PythonLicensesView.as_view(), name='python_licenses'),
    path('telegram/setup', views.WebHookSetupView.as_view(), name='webhooksetup'),
    path('telegram/<str:telegram>/', views.WebHookView.as_view(), name='webhook'),
    path('login/<int:tuid>/<str:hsh>', views.LoginView.as_view(), name='login'),
    path('logout', views.LogoutView.as_view(), name='logout'),
    path('controlpanel/', views.ControlPanelView.as_view(), name='control_panel'),
    path('controlpanel/addbot', views.AddTelegramBotView.as_view(), name='control_panel_add_bot'),
    path('controlpanel/delete/acc', views.DeleteAccountView.as_view(), name='control_panel_delete_account'),
    path('controlpanel/delete/bot/<int:bot_id>', views.DeleteBot.as_view(), name='control_panel_delete_bot'),
    path('controlpanel/group-<int:group_id>', views.ManageGroupView.as_view(), name='manage_group'),
    path('controlpanel/group-<int:group_id>/antispam', views.ManageGroupAntiSpamView.as_view(), name='manage_group_antispam'),
    path('controlpanel/group-<int:group_id>/captcha', views.ManageGroupCAPTCHAView.as_view(), name='manage_group_captcha'),
    path('controlpanel/group-<int:group_id>/cannedmessages', views.ManageGroupCannedMessagesView.as_view(), name='manage_group_cannedmessages'),
    path('controlpanel/group-<int:group_id>/cannedmessage-<int:cannedmessage_id>', views.ManageGroupCannedMessageView.as_view(), name='manage_group_cannedmessage'),
    path('controlpanel/group-<int:group_id>/joinleave', views.ManageGroupJoinLeaveGreetingsView.as_view(), name='manage_group_joinleave'),
    path('controlpanel/group-<int:group_id>/plannedmessages', views.ManageGroupPlannedMessagesView.as_view(), name='manage_group_plannedmessages'),
    path('controlpanel/group-<int:group_id>/plannedmessages/enabledness', views.ManageGroupPlannedEnablednessView.as_view(), name='manage_group_plannedmessages_enabledness'),
    path('controlpanel/group-<int:group_id>/plannedmessages/timezone', views.ManageGroupPlannedMessagesTimezoneView.as_view(), name='manage_group_plannedmessages_timezone'),
    path('controlpanel/group-<int:group_id>/plannedmessage-<int:plannedmessage_id>', views.ManageGroupPlannedMessageView.as_view(), name='manage_group_plannedmessage'),
    path('controlpanel/group-<int:group_id>/planneddispatch-<int:planneddispatch_id>', views.ManageGroupPlannedDispatchView.as_view(), name='manage_group_planneddispatch'),
    path('controlpanel/group-<int:group_id>/accesscontrol', views.ManageAccessControlView.as_view(), name='manage_group_accesscontrol'),
    path('controlpanel/group-<int:group_id>/accesscontrol/use', views.ManageAccessControlUseView.as_view(), name='manage_group_accesscontroluse'),
    path('controlpanel/group-<int:group_id>/accesscontrol/grant', views.ManageAccessControlGrantView.as_view(), name='manage_group_accesscontrolgrant'),
    path('controlpanel/group-<int:group_id>/accesscontrol-<int:accesscontrolgrant_id>/revoke', views.ManageAccessControlRevokeView.as_view(), name='manage_group_accesscontrolgrant_delete'),
]
